from flask import *
app = Flask(__name__)

@app.route('/')
@app.route('/index')
def index():
    return render_template('index.html')

@app.route('/resultats', methods=['POST', 'GET'])
def resultats():
    # Accès par méthode POST ici.
    # On précise dans le "décorateur" @app.route que le POST est autorisé
    # Par défaut seul la méthode GET est autorisé
    
    # Si accès par la page d'accueil alors affichage de la page de résultats
    # Sinon redirection sur la page d'accueil
    if request.method == 'POST':
        return render_template('resultats.html', numero=request.form['nombre'],
                               liste =[(1,2,3),(4,5,6)])
    else:
        return redirect(url_for('index'))

if __name__=='__main__':
    host='localhost'
    port=5000
    app.run(host=host, port=port)
